<?php

namespace jrosset\EnvReader\XmlStructure;

use SimpleXMLElement;

/**
 * The interface of XML structure
 */
interface IXmlStructure {
    /**
     * Parse a XML node
     *
     * @param SimpleXMLElement $xmlNode The XML node
     *
     * @return mixed The extracted value
     */
    public function parseXml (SimpleXMLElement $xmlNode): mixed;
}